Run AliExpress Product Reviews
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-aliexpress-product-reviews \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product": "1005012791281455",
"max_items": 10,
"filter": "image"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-aliexpress-product-reviews"
payload = {
"product": "1005012791281455",
"max_items": 10,
"filter": "image"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product: '1005012791281455', max_items: 10, filter: 'image'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-aliexpress-product-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "<string>",
"kind": "<string>",
"human": "<string>",
"machine": {
"reviews": [
{}
],
"total_items": 123
},
"total_points": 123
}Data Sources
Run AliExpress Product Reviews
Returns buyer reviews for an AliExpress product by ID or URL. List endpoint: 1 point per returned record.
POST
/
functions
/
v1
/
run-aliexpress-product-reviews
Run AliExpress Product Reviews
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
AliExpress product ID or URL.
Maximum number of records to return (1-250). Billed at 1 point per returned record.
Required range:
1 <= x <= 250Available options:
all, image, additional, local AliExpress site language.
Available options:
ar_MA, de_DE, en_US, es_ES, fr_FR, in_ID, it_IT, iw_IL, ja_JP, ko_KR, nl_NL, pl_PL, pt_BR, ru_RU, th_TH, tr_TR, vi_VN ISO currency code for prices, e.g. USD.